//
//  BXLicenseEnterWindowController.h
//  BXEssentialKeyStorage
//
//  Created by Stefan Neumärker on 02/07/14.
//  Copyright (c) 2014 Boinx Software Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class BXLicenseKey;

@interface BXLicenseEnterWindowController : NSWindowController <NSTextFieldDelegate>
{
	NSArray *_buttons;
	BXLicenseKey *_currentLicenseKey;
	NSMutableArray *_layoutedButtons;
	NSMutableDictionary *_tempLicenseDict;
	
	id _internalFieldEditor;
	
	NSButton *_installButton;
	NSBox *_buttonBox;
}

@property (nonatomic, assign) IBOutlet NSButton *installButton;
@property (nonatomic, assign) IBOutlet NSBox *buttonBox;

- (IBAction)installLicense:(id)sender;

@end
